Fails to launch on OS X El Capitan 10.11.6 via application package #49

Closed
chances opened this Issue Dec 25, 2016 · 7 comments

Projects

None yet

2 participants

@chances
chances commented Dec 25, 2016 edited

The app fails to launch via the .app package on OS X El Capitan 10.11.6 claiming:

You have OS X 10.11.6. The application requires OS X 10.12 or later.

However, I can launch Citybound by manually running the executable within the application package. Probably a simple issue with the package metadata.

@aeickhoff
Member

I'm new to app bundling, I probably need to change something in Info.plist, anyone know what?

@chances
chances commented Dec 28, 2016 edited

Apple Dev Docs on the subject:


How are you creating the app bundle for Citybound right now? Are you using XCode?

@chances
chances commented Dec 28, 2016 edited

It seems you'll have to set the deployment target to the lowest operating system version that the app can run on.

I found a StackOverflow answer related to the issue. Also, this answer.

@aeickhoff
Member
aeickhoff commented Jan 9, 2017 edited

@chances can you try this bundle: I set the Minimum System Version to something much older
Citybound.app.zip

@aeickhoff
Member

@chances what about this bundle:
citybound.app.zip

@chances
chances commented Jan 10, 2017 edited

@aeickhoff Works great on my machine! (Albeit as an unsigned app, but half the apps I use are unsigned anyway. 😛 )

@aeickhoff
Member

Thank you!

@aeickhoff aeickhoff closed this Jan 10, 2017
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment